Bug 7105 - Bad sql request in GetSubscriptions
Summary: Bad sql request in GetSubscriptions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Christophe Croullebois
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-27 13:44 UTC by Christophe Croullebois
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Patch from BibLibre (1.52 KB, patch)
2011-10-27 14:01 UTC, Christophe Croullebois
Details | Diff | Splinter Review
Signed off patch (1.57 KB, patch)
2011-11-04 06:11 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Croullebois 2011-10-27 13:44:33 UTC
If $string or $issn is passed to GetSubscriptions, the request is false.
See Bug 5864, especially the last comment from Frédérick Capovilla.
I have made a patch to solve this problem.
Comment 1 Christophe Croullebois 2011-10-27 14:01:48 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2011-11-04 06:11:19 UTC
Created attachment 6180 [details] [review]
Signed off patch

Ok, the query now looks more consistent, and works as expected. Signed off.
Comment 3 Marcel de Rooy 2011-12-01 08:18:21 UTC
QA: Looks good. Marked as Passed QA.
Comment 4 Paul Poulain 2011-12-03 07:22:08 UTC
patch pushed, please test
Comment 5 Jared Camins-Esakov 2012-05-23 12:11:11 UTC
Included in 3.6 prior to 3.6.5.